# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.mixin.pm./d
Name:           perl-Kwiki-ModPerl
Version:        0.09
Release:        alt1_18
Summary:        Enable Kwiki to work under mod_perl
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Kwiki-ModPerl/
Source0:        http://www.cpan.org/authors/id/G/GU/GUGOD/Kwiki-ModPerl-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Kwiki.pm)
BuildRequires:  perl(mod_perl2.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Kwiki.pm) >= 0.32
Requires:       perl(mod_perl2.pm)
Source44: import.info

%description
This module allows you to use Kwiki as a mod_perl content handler.

%prep
%setup -q -n Kwiki-ModPerl-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_18
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_17
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_15
- fc import

